/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.sensor.explorer;

import com.vividsolutions.jts.geom.Envelope;
import com.vividsolutions.jts.geom.Point;
import nl.cloudfarming.client.geoviewer.Geographical;
import nl.cloudfarming.client.geoviewer.GeographicalAction;
import org.geotools.coverage.grid.GridCoverage2D;

/**
 *
 * @author Timon Veenstra
 */
public class Raster implements Geographical<GridCoverage2D> {
    
    private final GridCoverage2D coverage2D;

    public Raster(GridCoverage2D coverage2D) {
        this.coverage2D = coverage2D;
    }
    
    

    @Override
    public Point getCentroid() {
         throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public GridCoverage2D getRenderObject(Envelope envelope) {
        //TODO optimalization, dont return entire coverage when its outside of the envelope
        return coverage2D;
    }

    @Override
    public String getTooltipText() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public long getId() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public GeographicalAction[] getActions() {
        return null;
    }
    
}
